Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Data Processing
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Body parameters
  • Resources
  • AutoscalingConfig
  • Response
  • Status
  1. API reference
  2. REST
  3. Subcluster
  4. Create

Yandex Data Processing API, REST: Subcluster.Create

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Body parameters
  • Resources
  • AutoscalingConfig
  • Response
  • Status

Creates a subcluster in the specified cluster.

HTTP requestHTTP request

POST https://dataproc.api.cloud.yandex.net/dataproc/v1/clusters/{clusterId}/subclusters

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Yandex Data Processing cluster to create a subcluster in.
To get a cluster ID, make a ClusterService.List request.

The maximum string length in characters is 50.

Body parametersBody parameters

{
  "name": "string",
  "role": "string",
  "resources": {
    "resourcePresetId": "string",
    "diskTypeId": "string",
    "diskSize": "string"
  },
  "subnetId": "string",
  "hostsCount": "string",
  "autoscalingConfig": {
    "maxHostsCount": "string",
    "preemptible": "boolean",
    "measurementDuration": "string",
    "warmupDuration": "string",
    "stabilizationDuration": "string",
    "cpuUtilizationTarget": "string",
    "decommissionTimeout": "string"
  }
}

Field

Description

name

string

Name of the subcluster. The name must be unique within the cluster. The name can't be
changed when the subcluster is created.

Value must match the regular expression |[a-z][-a-z0-9]{1,61}[a-z0-9].

role

enum (Role)

Required field. Role that is fulfilled by hosts of the subcluster.

  • MASTERNODE: The subcluster fulfills the master role.
    Master can run the following services, depending on the requested components:
  • HDFS: Namenode, Secondary Namenode
  • YARN: ResourceManager, Timeline Server
  • HBase Master
  • Hive: Server, Metastore, HCatalog
  • Spark History Server
  • Zeppelin
  • ZooKeeper
  • DATANODE: The subcluster is a DATANODE in a Yandex Data Processing cluster.
    DATANODE can run the following services, depending on the requested components:
  • HDFS DataNode
  • YARN NodeManager
  • HBase RegionServer
  • Spark libraries
  • COMPUTENODE: The subcluster is a COMPUTENODE in a Yandex Data Processing cluster.
    COMPUTENODE can run the following services, depending on the requested components:
  • YARN NodeManager
  • Spark libraries

resources

Resources

Required field. Resources allocated for each host in the subcluster.

subnetId

string

Required field. ID of the VPC subnet used for hosts in the subcluster.

The maximum string length in characters is 50.

hostsCount

string (int64)

Number of hosts in the subcluster.

The minimum value is 0.

autoscalingConfig

AutoscalingConfig

Configuration for instance group based subclusters

ResourcesResources

Field

Description

resourcePresetId

string

ID of the resource preset for computational resources available to a host (CPU, memory etc.).
All available presets are listed in the documentation.

The maximum string length in characters is 50.

diskTypeId

string

Type of the storage environment for the host.
Possible values:

  • network-hdd - network HDD drive,
  • network-ssd - network SSD drive.

The maximum string length in characters is 50.

diskSize

string (int64)

Volume of the storage available to a host, in bytes.

The minimum value is 0.

AutoscalingConfigAutoscalingConfig

Field

Description

maxHostsCount

string (int64)

Upper limit for total instance subcluster count.

Acceptable values are 1 to 100, inclusive.

preemptible

boolean

Preemptible instances are stopped at least once every 24 hours, and can be stopped at any time
if their resources are needed by Compute.
For more information, see Preemptible Virtual Machines.

measurementDuration

string (duration)

Required field. Time in seconds allotted for averaging metrics.

warmupDuration

string (duration)

The warmup time of the instance in seconds. During this time,
traffic is sent to the instance, but instance metrics are not collected.

stabilizationDuration

string (duration)

Minimum amount of time in seconds allotted for monitoring before
Instance Groups can reduce the number of instances in the group.
During this time, the group size doesn't decrease, even if the new metric values
indicate that it should.

cpuUtilizationTarget

string

Defines an autoscaling rule based on the average CPU utilization of the instance group.

Acceptable values are 0 to 100, inclusive.

decommissionTimeout

string (int64)

Timeout to gracefully decommission nodes during downscaling. In seconds. Default value: 120

Acceptable values are 0 to 86400, inclusive.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Was the article helpful?

Previous
List
Next
Update
© 2026 Direct Cursus Technology L.L.C.